package com.testdb.repository;

import java.util.HashMap;
import java.util.List;

import com.testdb.model.Film;
import com.testdb.model.FilmAndActorDTO;
import com.testdb.model.Language;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

@Repository
public interface FilmRepository extends JpaRepository<Film,Long>{
    public List<Film> findByLang(Language lang);
    public List<Film> findByRentalRateBetween(float min,float max);

    @Query("select new com.testdb.model.FilmAndActorDTO(f.id,f.title,a.id,a.firstName) from Film f join f.actors a")
    public List<FilmAndActorDTO> joinFilmAndActor();

    public List<Film> getFilmByLanguage(Language lang);
}
